package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.PosFreight;

/**
 * freightService接口
 * 
 * @author ruoyi
 * @date 2023-07-15
 */
public interface IPosFreightService extends IService<PosFreight>
{
    /**
     * 查询freight
     * 
     * @param id freight主键
     * @return freight
     */
    public PosFreight selectPosFreightById(Long id);

    /**
     * 查询freight列表
     * 
     * @param posFreight freight
     * @return freight集合
     */
    public List<PosFreight> selectPosFreightList(PosFreight posFreight);

    /**
     * 新增freight
     * 
     * @param posFreight freight
     * @return 结果
     */
    public int insertPosFreight(PosFreight posFreight);

    /**
     * 修改freight
     * 
     * @param posFreight freight
     * @return 结果
     */
    public int updatePosFreight(PosFreight posFreight);

    /**
     * 批量删除freight
     * 
     * @param ids 需要删除的freight主键集合
     * @return 结果
     */
    public int deletePosFreightByIds(Long[] ids);

    /**
     * 删除freight信息
     * 
     * @param id freight主键
     * @return 结果
     */
    public int deletePosFreightById(Long id);
}
